# Uses of Interface
org.eclipse.emf.cdo.expressions.ListConstruction

Packages that use ListConstruction
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.

## Uses of ListConstruction in org.eclipse.emf.cdo.expressions

Methods in org.eclipse.emf.cdo.expressions that return ListConstruction
Modifier and Type
Method
Description
`ListConstruction`
ExpressionsFactory.`createListConstruction()`
Returns a new object of class 'List Construction'.

## Uses of ListConstruction in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement ListConstruction
Modifier and Type
Class
Description
`class`
`ListConstructionImpl`
An implementation of the model object 'List Value'.
Methods in org.eclipse.emf.cdo.expressions.impl that return ListConstruction
Modifier and Type
Method
Description
`ListConstruction`
ExpressionsFactoryImpl.`createListConstruction()`

## Uses of ListConstruction in org.eclipse.emf.cdo.expressions.util

Methods in org.eclipse.emf.cdo.expressions.util that return ListConstruction
Modifier and Type
Method
Description
`static ListConstruction`
ExpressionsUtil.`list(Expression... elements)`
Methods in org.eclipse.emf.cdo.expressions.util with parameters of type ListConstruction
Modifier and Type
Method
Description
`T`
ExpressionsSwitch.`caseListConstruction(ListConstruction object)`
Returns the result of interpreting the object as an instance of 'List Construction'.